Eclipse GEF 3.3

## org.eclipse.gef.requests
Class DirectEditRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.LocationRequest
              org.eclipse.gef.requests.DirectEditRequest

public class DirectEditRequest
extends LocationRequest

A request to perform direct editing on the receiver of the Request.

Since:
  2.0

Constructor Summary
`DirectEditRequest()` Constructor for DirectEditRequest.
`DirectEditRequest(Object type)` Constructor for DirectEditRequest.

Method Summary
`CellEditor` `getCellEditor()` Returns the cell editor used to perform the direct edit.
`Object` `getDirectEditFeature()` If the EditPart supports direct editing of multiple features, this parameter can be used to discriminate among them.
`void` `setCellEditor(CellEditor celleditor)` Sets the cell editor to be used when direct editing.
`void` `setDirectEditFeature(Object feature)` Sets the direct edit feature.

Methods inherited from class org.eclipse.gef.requests.LocationRequest
`getLocation, setLocation`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectEditRequest

    public DirectEditRequest()

  Constructor for DirectEditRequest.

### DirectEditRequest

    public DirectEditRequest(Object type)

  Constructor for DirectEditRequest.

Parameters:
  `type` - the type

Method Detail

### getDirectEditFeature

    public Object getDirectEditFeature()

  If the EditPart supports direct editing of multiple features, this parameter can be used to discriminate among them.

  Returns:
    the direct edit feature

### getCellEditor

    public CellEditor getCellEditor()

  Returns the cell editor used to perform the direct edit.

  Returns:
    the cell editor

### setCellEditor

    public void setCellEditor(CellEditor celleditor)

  Sets the cell editor to be used when direct editing.

  Parameters:
    `celleditor` - the cell editor

### setDirectEditFeature

    public void setDirectEditFeature(Object feature)

  Sets the direct edit feature.

  Parameters:
    `feature` - the direct edit feature
  See Also:
    `getDirectEditFeature()`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.